<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\KursUebersicht;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'kursuebersicht':
        return new KursUebersicht\KursUebersichtController();
      case 'showFilterKursUebersicht':
        return new KursUebersicht\ShowFilterKursUebersicht\ShowFilterKursUebersichtController();
      case 'setFilterKursUebersicht':
        return new KursUebersicht\KursUebersichtSetFilterController();
      case 'resetFilterKursUebersicht':
        return new KursUebersicht\KursUebersichtResetFilterController();
      case 'kursdetails':
        return new KursUebersicht\KursDetails\KursDetailsController();
      case 'merkeKursDetailsReiter':
        return new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\MerkeReiter\MerkeReiterController(\ToolsAPI::TOOL_KURSUEBERSICHT_FA, 336);
      case 'reiterBelegungsDetails':
        return new KursUebersicht\Detailsreiter\BelegungsDetails\BelegungsDetailsController();
      case 'reiterKursDetails':
        return new KursUebersicht\Detailsreiter\KursDetails\KursDetailsController();
      case 'info':
        return new KursUebersicht\Detailsreiter\Info\InfoController();
      case 'reiterTermine':
      case 'resetFilterTermine': 
        return new KursUebersicht\Detailsreiter\Termine\TermineController();
      case 'showFilterTermine':
        return new KursUebersicht\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineController();
      case 'setFilterTermine':
        return new KursUebersicht\Detailsreiter\Termine\TermineSetFilterController();
      case 'reiterDownloads':
        return new KursUebersicht\Detailsreiter\Downloads\DownloadsController();

      case 'reiterFotos':
        return new KursUebersicht\Detailsreiter\Fotos\FotosController();
      case 'reiterJournal':
      case 'resetFilterJournal':
        return new KursUebersicht\Detailsreiter\Journal\JournalController();
      case 'showFilterJournal':
        return new KursUebersicht\Detailsreiter\Journal\ShowFilterJournal\ShowFilterJournalController();
      case 'setFilterJournal':
        return new KursUebersicht\Detailsreiter\Journal\SetFilterJournalController();

      case 'showFeedbackFormular':
        return new KursUebersicht\Detailsreiter\Feedback\FeedbackFormularController();
      case 'sendFeedback':
        return new KursUebersicht\Detailsreiter\Feedback\SendFeedbackController();
      case 'infoandoz':
        return new KursUebersicht\Detailsreiter\InfoAnDoz\InfoAnDozController();
      case 'sendInfoandoz':
        return new KursUebersicht\Detailsreiter\InfoAnDoz\SendInfoAnDozController();
      case 'abmeldung':
        return new KursUebersicht\Detailsreiter\Storno\StornoController();
      case 'handleStorno':
        return new KursUebersicht\Detailsreiter\Storno\HandleStornoController();
      case 'icsAuswahl':
        return new KursUebersicht\Ics\IcsAuswahlController();
      case 'icsKalender':
        return new KursUebersicht\Ics\IcsKalenderController();
      case 'terminplan':
        return new Terminplan\TerminplanController();
      case 'druckTerminplan':
        return new Terminplan\DruckTerminplanController();

      case 'anwesenheiten':
        return new KursUebersicht\KursDetails\Anwesenheiten\AnwesenheitenController();
      case 'showFilterAnwesenheiten':
        return new KursUebersicht\KursDetails\Anwesenheiten\ShowFilterAnwesenheiten\ShowFilterAnwesenheitenController();
      case 'setFilterAnwesenheiten':
        return new KursUebersicht\KursDetails\Anwesenheiten\AnwesenheitenSetFilterController();
      case 'resetFilterAnwesenheiten':
        return new KursUebersicht\KursDetails\Anwesenheiten\AnwesenheitenResetFilterController();

      case 'alletermine':
        return new AlleTermine\AlleTermineController();
      case 'termineuebersicht':
        return new TermineUebersicht\TermineUebersichtController();
      case 'setFilterTermineUebersicht':
        return new TermineUebersicht\SetFilterTermineUebersichtController();

      case 'notenMa':
        return new KursUebersicht\MitarbeiterNoten\MitarbeiterNotenController();
      case 'showTerminStornierenDialog':
        return new KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog\TerminStornierenDialogController();
      case 'terminStornierenAbsenden':
        return new KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog\TerminStornierenAbsendenController();

      case 'showTerminVerlaengernDialog':
        return new KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernDialogController();
      case 'showTerminVerlaengernAbweichendeKurstageDialog':
        return new KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\AbweichendeKurstage\TerminVerlaengernDialogController();
      case 'terminVerlaengernAbsenden':
        return new KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernAbsendenController();
      case 'terminVerlaengernAbsendenKontrolle':
        return new KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\Kontrolle\TerminVerlaengernAbsendenKontrolleController();
      case 'terminVerlaengernWunschAbsenden':
        return new KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\Wunsch\TerminVerlaengernAbsendenController();
      case 'reiterDokumente':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Dokumente\DokumenteController();
      case 'dokumenteDownload':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Dokumente\DokumenteDownload\DokumenteDownloadController();
      case 'dokumenteUploadFormular':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Dokumente\DokumenteUpload\DokumenteUploadFormularController();
      case 'dokumenteUpload':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Dokumente\DokumenteUpload\DokumenteUploadController();

      case 'setFilterTeilnehmer':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\TeilnehmerSetFilterController();
      case 'resetFilterTeilnehmer':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\TeilnehmerResetFilterController();
      case 'showFilterTeilnehmer':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\ShowFilterTeilnehmer\ShowFilterTeilnehmerController();
      case 'reiterTeilnehmer':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\TeilnehmerController();
      case 'sammelEMail':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\SammelEMail\SammelEMailController();
      case 'sendSammelEMail':
        return new \Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Teilnehmer\SammelEMail\SendSammelEMailController();
      
      case 'reiterAnmelden':
        return new KursUebersicht\Detailsreiter\Anmeldung\AnmeldungController();
      case 'reiterAnmeldenSubmitForm':
        return new KursUebersicht\Detailsreiter\Anmeldung\AnmeldungAbsendenController();
    }
  }
}